Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.filter
Class CompositeHighlightAction

    java.lang.Object
      biouml.standard.filter.CompositeHighlightAction

All Implemented Interfaces:
  Action

public class CompositeHighlightAction
extends java.lang.Object
implements Action

If some diagram element satisfies to conditions of several filters simultaneously, then it can be highlighted by several colors.

Field Summary
`protected HighlightAction[]` | `actions`
`static int` | `orientation`
`static int` | `X_AXIS`
`static int` | `Y_AXIS`

Constructor Summary
`CompositeHighlightAction()`
`CompositeHighlightAction(Action action1, Action action2)`
`CompositeHighlightAction(HighlightAction[] actions)`

Method Summary
`void` | `add(CompositeHighlightAction cha)`
`void` | `add(HighlightAction action)`
`void` | `apply(DiagramElement de)` Apllies the action to the specified diagram element.
`HighlightAction[]` | `getActions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X_AXIS

    public static final int X_AXIS

See Also:
  Constant Field Values

### Y_AXIS

    public static final int Y_AXIS

See Also:
  Constant Field Values

### orientation

    public static int orientation

### actions

    protected HighlightAction[] actions

Constructor Detail

### CompositeHighlightAction

    public CompositeHighlightAction()

### CompositeHighlightAction

    public CompositeHighlightAction(HighlightAction[] actions)

### CompositeHighlightAction

    public CompositeHighlightAction(Action action1,
                                    Action action2)

Method Detail

### getActions

    public HighlightAction[] getActions()

### add

    public void add(HighlightAction action)

### add

    public void add(CompositeHighlightAction cha)

### apply

    public void apply(DiagramElement de)

  Description copied from interface: `Action`
  Apllies the action to the specified diagram element.

  Specified by:
    `apply` in interface `Action`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.